error on ubuntu update
2020-03-18 09:14 - simo geo

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

Hi,

running update on ubuntu 18.04 server, | get an issue related to redmine.

It seems redmine does not search Gemfile in the right folder.

See the error : "chown: cannot access '/var/lib/redmine/Gemfile.lock’: No such file or directory’.
The point is my Gemfile.lock is located in */usr/share/redmine’ folder.

| guess, this is related to redmine.postinst script as pointed out in following thread :
https://bugs.launchpad.net/ubuntu/+source/redmine/+bug/1621845

I'm supposed to be able to fix it by commenting instructions, but it could be nice to fix the issue natively.

See also : https://stackoverflow.com/questions/45757459/redmine-3-2-1-2-ob-ubuntu-16-04-breaks-on-apt-upgrade

Here is the full console output :

Setting up redmine (3.4.4-1lubuntul.1)
/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:10: warning: constant Gem::ConfigM
ap 1s deprecated

/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:10: warning: constant Gem::ConfigM
ap is deprecated

/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:29: warning: constant Gem::ConfigM
ap 1is deprecated

/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:30: warning: constant Gem::ConfigM
ap 1s deprecated

/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:10: warning: constant Gem::ConfigM
ap 1s deprecated

/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:10: warning: constant Gem::ConfigM
ap is deprecated

NOTE: Gem::Specification#rubyforge_project= is deprecated with no replacement. It will be removed
on or after 2019-12-01.

Gem: :Specificationffrubyforge_project= called from /usr/share/rubygems-integration/2.5.0/specificat
ions/eventmachine-1.0.7.gemspec:21.

NOTE: Gem::Specification#rubyforge_project= is deprecated with no replacement. It will be removed
on or after 2019-12-01.

Gem: :Specification#rubyforge_project= called from /usr/share/rubygems—-integration/2.5.0/specificat
ions/0j-3.4.0.gemspec:22.

NOTE: Gem::Specification#rubyforge_project= is deprecated with no replacement. It will be removed
on or after 2019-12-01.

Gem: :Specificationffrubyforge_project= called from /usr/share/rubygems-integration/2.5.0/specificat
ions/rmagick-2.16.0.gemspec:21.
/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:10: warning: constant Gem::ConfigM
ap i1s deprecated

/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:10: warning: constant Gem::ConfigM
ap is deprecated

/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:10: warning: constant Gem::ConfigM
ap 1is deprecated
NOTE: Gem::Specification#rubyforge_project= is deprecated with no replacement. It will be removed
on or after 2019-12-01.
Gem: :Specification#rubyforge_project= called from /usr/share/rubygems-integration/2.5.0/specificat
ions/rmagick-2.16.0.gemspec:21.
NOTE: Gem::Specification#rubyforge_project= is deprecated with no replacement. It will be removed
on or after 2019-12-01.
Gem: :Specificationffrubyforge_project= called from /usr/share/rubygems-integration/2.5.0/specificat
ions/0j-3.4.0.gemspec:22.
NOTE: Gem::Specification#rubyforge_project= is deprecated with no replacement. It will be removed
on or after 2019-12-01.
Gem: :Specification#rubyforge_project= called from /usr/share/rubygems-integration/2.5.0/specificat
ions/eventmachine-1.0.7.gemspec:21.
/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:10: warning: constant Gem::ConfigM
ap 1is deprecated
chown: cannot access '/var/lib/redmine/Gemfile.lock': No such file or directory
dpkg: error processing package redmine (--configure):
installed redmine package post-installation script subprocess returned error exit status 1
Errors were encountered while processing:
redmine
Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
linux-image-4.15.0-76-generic linux-modules-4.15.0-76-generic
Use 'apt autoremove' to remove them.
Suggested packages:
apport—-gtk | apport-kde python3-launchpadlib
The following packages will be upgraded:
apport python3-apport python3-problem-report
3 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
1 not fully installed or removed.
Need to get 217 kB of archives.
After this operation, 1024 B of additional disk space will be used.
Get:1 http://nova.clouds.archive.ubuntu.com/ubuntu bionic-updates/main amdé64 python3-problem-repor
t all 2.20.9-0ubuntu7.12 [10.9 kB]
Get:2 http://nova.clouds.archive.ubuntu.com/ubuntu bionic-updates/main amdé64 python3-apport all 2.
20.9-0ubuntu7.12 [82.1 kB]
Get:3 http://nova.clouds.archive.ubuntu.com/ubuntu bionic-updates/main amdé64 apport all 2.20.9-0ub
untu7.12 [124 kB]
Fetched 217 kB in 1s (278 kB/s)
Reading database

(

(Reading database ... 5%

(Reading database ... 10%

(Reading database ... 15%

(Reading database ... 20%

(Reading database ... 25%

(Reading database ... 30%

(Reading database ... 35%

(Reading database ... 40%

(Reading database ... 45%

(Reading database ... 50%

(Reading database ... 55%

(Reading database ... 60%

(Reading database ... 65%

(Reading database ... 70%

(Reading database ... 75%

(Reading database ... 80%

(Reading database ... 85%

(Reading database ... 90%

(Reading database ... 95%

(Reading database ... 100%

(Reading database ... 188131 files and directories currently installed.)
Preparing to unpack .../python3-problem-report_2.20.9-0ubuntu7.12_all.deb
Unpacking python3-problem-report (2.20.9-0ubuntu7.12) over (2.20.9-0ubuntu7.11)
Preparing to unpack .../python3-apport_2.20.9-0ubuntu77.12_all.deb
Unpacking python3-apport (2.20.9-0Oubuntu7.12) over (2.20.9-Oubuntu77.11)
Preparing to unpack .../apport_2.20.9-0ubuntu7.12_all.deb
Unpacking apport (2.20.9-0ubuntu7.12) over (2.20.9-0ubuntu7.11)
Setting up redmine (3.4.4-1lubuntul.1)
/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating _system.rb:10: warning: constant Gem::ConfigM
ap is deprecated
/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:10: warning: constant Gem::ConfigM
ap 1is deprecated
/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:29: warning: constant Gem::ConfigM
ap 1s deprecated
/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:30: warning: constant Gem::ConfigM
ap 1s deprecated
/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating _system.rb:10: warning: constant Gem::ConfigM
ap is deprecated
/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:10: warning: constant Gem::ConfigM
ap 1is deprecated
NOTE: Gem::Specification#rubyforge_project= is deprecated with no replacement. It will be removed
on or after 2019-12-01.
Gem: :Specification#rubyforge_project= called from /usr/share/rubygems—integration/2.5.0/specificat
ions/eventmachine-1.0.7.gemspec:21.
NOTE: Gem::Specification#rubyforge_project= is deprecated with no replacement. It will be removed
on or after 2019-12-01.
Gem: :Specificationffrubyforge_project= called from /usr/share/rubygems—-integration/2.5.0/specificat
ions/0j-3.4.0.gemspec:22.
NOTE: Gem::Specification#rubyforge_project= is deprecated with no replacement. It will be removed
on or after 2019-12-01.
Gem: :Specification#rubyforge_project= called from /usr/share/rubygems—-integration/2.5.0/specificat
ions/rmagick-2.16.0.gemspec:21.
/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating _system.rb:10: warning: constant Gem::ConfigM
ap is deprecated
/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:10: warning: constant Gem::ConfigM
ap 1is deprecated
/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:10: warning: constant Gem::ConfigM
ap 1s deprecated
NOTE: Gem::Specification#rubyforge_project= is deprecated with no replacement. It will be removed
on or after 2019-12-01.
Gem: :Specification#rubyforge_project= called from /usr/share/rubygems-integration/2.5.0/specificat
ions/rmagick-2.16.0.gemspec:21.
NOTE: Gem::Specification#rubyforge_project= is deprecated with no replacement. It will be removed
on or after 2019-12-01.
Gem: :Specificationffrubyforge_project= called from /usr/share/rubygems-integration/2.5.0/specificat
ions/0j-3.4.0.gemspec:22.
NOTE: Gem::Specification#rubyforge_project= is deprecated with no replacement. It will be removed
on or after 2019-12-01.
Gem: :Specification#rubyforge_project= called from /usr/share/rubygems-integration/2.5.0/specificat
ions/eventmachine-1.0.7.gemspec:21.
/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:10: warning: constant Gem::ConfigM
ap 1is deprecated
chown: cannot access '/var/lib/redmine/Gemfile.lock': No such file or directory
dpkg: error processing package redmine (--configure):

installed redmine package post-installation script subprocess returned error exit status 1
Setting up python3-problem-report (2.20.9-0ubuntu7.12)
Setting up python3-apport (2.20.9-0ubuntu7.12)
Setting up apport (2.20.9-0ubuntu77.12)

Installing new version of config file /etc/init.d/apport
apport—-autoreport.service is a disabled or a static unit, not starting it.
Processing triggers for hicolor-icon-theme (0.17-2)
Processing triggers for ureadahead (0.100.0-21)
Processing triggers for systemd (237-3ubuntul0.39)
Processing triggers for man-db (2.8.3-2ubuntu0.1)
Errors were encountered while processing:

redmine
E: Sub-process /usr/bin/dpkg returned an error code (1)

see also : https://www.redmine.org/boards/1/topics/33865?r=58987#message-58987

Thanks for your support
History

#1 - 2020-03-18 10:51 - Go MAEDA

| think the issue is due to the redmine package provided by the Ubuntu team.
Could you report the issue to the Ubuntu team? | think the issue has nothing to do with Redmine core.
#2 - 2020-03-18 11:22 - simo geo
Go MAEDA wrote:
| think the issue is due to the redmine package provided by the Ubuntu team.

Could you report the issue to the Ubuntu team? | think the issue has nothing to do with Redmine core.

Thanks for your reply ! Will do that

#3 - 2020-03-19 15:34 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Invalid
